Delete a key
This key management operation allows the deletion of a key stored inside the device's secure repository.
Delete a key
DELETE
https://my.ence.do/api/keymgmt/delete/{kid}Delete a key pointed to by the KID argument.
Path Parameters
| Name | Type | Description |
|---|---|---|
| kid* | String | Key ID, 32 hex chars |
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Bearer JWT_TOKEN |
Response status code
- 200: Operation successful
- 400: Incorrect argument(s)
- 401: Missing or invalid JWT_TOKEN
- 403: Incorrect access scope
- 406: Operation failed
- 409: Incorrect internal state
- 412: Protocol error - CORS validation failed
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
Log entries
| Event | Result | Source |
|---|---|---|
| LOG_TYPE_FAILED_SCOPE_CHECK | LOG_RESULT_FAILED | 403 |
| LOG_TYPE_KEY_DELETE | LOG_RESULT_ERROR | 400 |
| LOG_TYPE_KEY_DELETE | LOG_RESULT_FAILED | 406 |
| LOG_TYPE_KEY_DELETE | LOG_RESULT_OK | 200 |